<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's own products."

Product 5655-FLW,  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
All Rights Reserved * Licensed Materials - Property of IBM
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<% 
//detmine the current state
java.util.Map outputMessageMap = (java.util.Map)request.getAttribute("messageMap");
String state = (String)outputMessageMap.get("/state");
if(state == null) state = "-1";
%>


<c:choose>
	<c:when test="${not empty prefix}">
		<!-- Read/write mode -->
		<p>
		<input type="radio" name="${prefix}/state" value="1" <%if(state.equals("1")){%> checked <%}%> /> Order is OK.<br>
		<input type="radio" name="${prefix}/state" value="9" <%if(state.equals("9")){%> checked <%}%> /> Input data of the order have to be corrected<br>
		<input type="radio" name="${prefix}/state" value="12" <%if(state.equals("12")){%> checked <%}%> /> Discard order due to wrong input data<br>
		<br>
		Add a comment:<br>
		<TEXTAREA name="${prefix}/comment" cols="60" rows="3">${messageMap['/comment']}</TEXTAREA>
		</p>
	</c:when>
	<c:otherwise>
		<!-- Read only mode -->

		<table>
			<tr>
				<td>State:</td>
				<td>${messageMap['/state']}</td>
			</tr>
			<tr>
				<td>Comment:</td>
				<td>${messageMap['/comment']}</td>
			</tr>
			</table>
	</c:otherwise>
</c:choose>

