<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's own products."

Product 5655-FLW, COPYRIGHT International Business Machines Corp., 2006, 2010
All Rights Reserved * Licensed Materials - Property of IBM
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<% 
//determine the current state
java.util.Map outputMessageMap = (java.util.Map)request.getAttribute("messageMap");
String state = (String)outputMessageMap.get("/state");
if (state == null) state = "1";
String sizeOfOrder = (String)outputMessageMap.get("/order/sizeOfOrder");
if (sizeOfOrder == null) sizeOfOrder = "1";
%>

<c:choose>
	<c:when test="${not empty prefix}">
		<!-- Read/write mode -->
		
		<p>
		<b>This order contains errors:</b><br>
		<br>		
		<input type="radio" name="${prefix}/state" value="12" <%if(state.equals("12")){%> checked="checked" <%}%> /> Discard order due to errors.<br>
		<input type="radio" name="${prefix}/state" value="1" <%if(state.equals("1")){%> checked="checked" <%}%> /> Errors can be corrected:<br>
		<br>
		</p>
		<table border="0">
		<tr>
 		  <td align="left">Supplier number:</td>
 		  <td><input type="text" name="${prefix}/order/supplierNo"  size="20" align="right" value="${messageMap['/order/supplierNo']}" /></td>
		</tr>
		<tr>
 		  <td align="left">Size of order:</td>
 		  <td><input type="text" name="${prefix}/order/sizeOfOrder" size="20" align="right" value="<%=sizeOfOrder%>" /></td>
		</tr>
		<tr>
 		  <td align="left">Order text:</td>
 		  <td><input type="text" name="${prefix}/order/orderText"   size="20" align="right" value="${messageMap['/order/orderText']}" /></td>
		</tr>
		</table>
		<br>
		<p>
		Add a comment:<br>
		<TEXTAREA name="${prefix}/comment" cols="60" rows="3">${messageMap['/comment']}</TEXTAREA></p>

	</c:when>
	<c:otherwise>
		<!-- Read only mode -->

		<table>
			<tr>
				<td>State:</td>
				<td>${messageMap['/state']}</td>
			</tr>
			<tr>
				<td>Order No:</td>
				<td>${messageMap['/order/supplierNo']}</td>
			</tr>
			<tr>
				<td>Size of order:</td>
				<td>${messageMap['/order/sizeOfOrder']}</td>
			</tr>
			<tr>
				<td>Order text:</td>
				<td>${messageMap['/order/orderText']}</td>
			</tr>
			<tr>
				<td>Comment:</td>
				<td>${messageMap['/comment']}</td>
			</tr>
			</table>
	</c:otherwise>
</c:choose>

